org.apache.tinkerpop.gremlin.neo4j.structure

## Class Neo4jGraphVariables.Neo4jVariableFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.Neo4jGraphVariables.Neo4jVariableFeatures

- All Implemented Interfaces:
    Graph.Features.DataTypeFeatures, Graph.Features.FeatureSet, Graph.Features.VariableFeatures
  Enclosing class:
    Neo4jGraphVariables

      public static class Neo4jGraphVariables.Neo4jVariableFeatures
      extends Object
      implements Graph.Features.VariableFeatures

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VariableFeatures

      `FEATURE_VARIABLES`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.DataTypeFeatures

      `FEATURE_BOOLEAN_ARRAY_VALUES, FEATURE_BOOLEAN_VALUES, FEATURE_BYTE_ARRAY_VALUES, FEATURE_BYTE_VALUES, FEATURE_DOUBLE_ARRAY_VALUES, FEATURE_DOUBLE_VALUES, FEATURE_FLOAT_ARRAY_VALUES, FEATURE_FLOAT_VALUES, FEATURE_INTEGER_ARRAY_VALUES, FEATURE_INTEGER_VALUES, FEATURE_LONG_ARRAY_VALUES, FEATURE_LONG_VALUES, FEATURE_MAP_VALUES, FEATURE_MIXED_LIST_VALUES, FEATURE_SERIALIZABLE_VALUES, FEATURE_STRING_ARRAY_VALUES, FEATURE_STRING_VALUES, FEATURE_UNIFORM_LIST_VALUES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Neo4jVariableFeatures()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsBooleanArrayValues()` Supports setting of an array of boolean values.
    `boolean` | `supportsBooleanValues()` Supports setting of a boolean value.
    `boolean` | `supportsByteArrayValues()` Supports setting of an array of byte values.
    `boolean` | `supportsByteValues()` Supports setting of a byte value.
    `boolean` | `supportsDoubleArrayValues()` Supports setting of an array of double values.
    `boolean` | `supportsDoubleValues()` Supports setting of a double value.
    `boolean` | `supportsFloatArrayValues()` Supports setting of an array of float values.
    `boolean` | `supportsFloatValues()` Supports setting of a float value.
    `boolean` | `supportsIntegerArrayValues()` Supports setting of an array of integer values.
    `boolean` | `supportsIntegerValues()` Supports setting of a integer value.
    `boolean` | `supportsLongArrayValues()` Supports setting of an array of long values.
    `boolean` | `supportsLongValues()` Supports setting of a long value.
    `boolean` | `supportsMapValues()` Supports setting of a `Map` value.
    `boolean` | `supportsMixedListValues()` Supports setting of a `List` value.
    `boolean` | `supportsSerializableValues()` Supports setting of a Java serializable value.
    `boolean` | `supportsStringArrayValues()` Supports setting of an array of string values.
    `boolean` | `supportsStringValues()` Supports setting of a string value.
    `boolean` | `supportsUniformListValues()` Supports setting of a `List` value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VariableFeatures

      `supportsVariables`

- - ### Constructor Detail

    - #### Neo4jVariableFeatures

          public Neo4jVariableFeatures()

  - ### Method Detail

    - #### supportsBooleanValues

          public boolean supportsBooleanValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a boolean value.
      Specified by:
        `supportsBooleanValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsDoubleValues

          public boolean supportsDoubleValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a double value.
      Specified by:
        `supportsDoubleValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsFloatValues

          public boolean supportsFloatValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a float value.
      Specified by:
        `supportsFloatValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsIntegerValues

          public boolean supportsIntegerValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a integer value.
      Specified by:
        `supportsIntegerValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsLongValues

          public boolean supportsLongValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a long value.
      Specified by:
        `supportsLongValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsMapValues

          public boolean supportsMapValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `Map` value. The assumption is that the `Map` can contain arbitrary serializable values that may or may not be defined as a feature itself.
      Specified by:
        `supportsMapValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsMixedListValues

          public boolean supportsMixedListValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "mixed" it does not need to contain objects of the same type.
      Specified by:
        `supportsMixedListValues` in interface `Graph.Features.DataTypeFeatures`
      See Also:
        `Graph.Features.DataTypeFeatures.supportsMixedListValues()`

    - #### supportsByteValues

          public boolean supportsByteValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a byte value.
      Specified by:
        `supportsByteValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsBooleanArrayValues

          public boolean supportsBooleanArrayValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of an array of boolean values.
      Specified by:
        `supportsBooleanArrayValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsByteArrayValues

          public boolean supportsByteArrayValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of an array of byte values.
      Specified by:
        `supportsByteArrayValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsDoubleArrayValues

          public boolean supportsDoubleArrayValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of an array of double values.
      Specified by:
        `supportsDoubleArrayValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsFloatArrayValues

          public boolean supportsFloatArrayValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of an array of float values.
      Specified by:
        `supportsFloatArrayValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsIntegerArrayValues

          public boolean supportsIntegerArrayValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of an array of integer values.
      Specified by:
        `supportsIntegerArrayValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsLongArrayValues

          public boolean supportsLongArrayValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of an array of long values.
      Specified by:
        `supportsLongArrayValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsStringArrayValues

          public boolean supportsStringArrayValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of an array of string values.
      Specified by:
        `supportsStringArrayValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsSerializableValues

          public boolean supportsSerializableValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a Java serializable value.
      Specified by:
        `supportsSerializableValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsStringValues

          public boolean supportsStringValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a string value.
      Specified by:
        `supportsStringValues` in interface `Graph.Features.DataTypeFeatures`

    - #### supportsUniformListValues

          public boolean supportsUniformListValues()

      Description copied from interface: `Graph.Features.DataTypeFeatures`
      Supports setting of a `List` value. The assumption is that the `List` can contain arbitrary serializable values that may or may not be defined as a feature itself. As this `List` is "uniform" it must contain objects of the same type.
      Specified by:
        `supportsUniformListValues` in interface `Graph.Features.DataTypeFeatures`
      See Also:
        `Graph.Features.DataTypeFeatures.supportsMixedListValues()`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.